
package com.lideeyunji.tool.framework.yunji.annotation;

import java.lang.annotation.*;
import java.util.concurrent.TimeUnit;

/**
 * 接口缓存
 */
@Target({ ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface lideeYunjiCache {

    String cacheNames() default "";

    long expire() default 1800L;

    boolean  nullIsSave() default false;//空值是否存储

    TimeUnit timeUnit() default TimeUnit.SECONDS;

    Class reflexClass() default Object.class;

    boolean delCache() default false;//true的话，会清空缓存
}
